Users are seeing "unauthenticated sources notice"

When I activate the Hummingbird... all logged in users starts to see a message saying the page is trying to load unsafe (non-ssl) scripts.
This plugin is not compatible with SSL websites or there's something I'm missing?

This page is trying to load scripts from unauthenticated sources

I found that there's some scripts on /wp-hummingbird-cache/ that tries to load stuff on a regular http connection... when I disable the plugin... the messages doesn't appears anymore.

https://imgur.com/UXZWN3b